[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Graphics' (#lcl)

# TRasterImage.UpdateHandles

Updates image handles when the raw image data is loaded.

## Declaration

Source position: graphics.pp line 1289

`protected function TRasterImage.UpdateHandles(`
`ABitmap: HBITMAP;`
`AMask: HBITMAP`
`):Boolean; virtual; abstract;`

## Arguments

`ABitmap` |  | Handle for the Bitmap.
`AMask` |  | Handle for the Mask.

## Function result

True when the handle has changed for the image.

## Description

UpdateHandles is called when handles are created for the raw image in the class instance. Returns True when the Handle for the bitmap image is changed in the method. Declared as an abstract virtual method. Must be implemented in a descendent class.